Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We鈥檒l occasionally send you account related emails.

Already on GitHub? Sign in to your account

Postinstall steps fail for ruby-head due to removal of deprecated flags #4485

Closed
phyllisstein opened this issue Oct 27, 2018 · 8 comments

Comments

Projects
None yet
3 participants
@phyllisstein
Copy link

commented Oct 27, 2018

Description

馃憢 Hey folks! I'm having a little trouble installing ruby-head at the moment. RVM is appending --no-ri --no-rdoc to the gem install commands it runs after compiling Ruby, but trunk seems to use a beta version of Rubygems that no longer supports these flags. It looks from the commit history like there's been some back-and-forth on whether to use these flags by default or to respect $rvm_gem_options, so I'm not sure which tack to take for a PR, but I thought I'd flag it in case the maintainers had a better sense.

Thanks in advance for looking into it, and thanks for your work on RVM!

Steps to reproduce

  1. Install RVM from master.
  2. Install ruby-head.
  3. 馃挜

Expected behavior

RVM should be able to run its postinstall steps with the latest version of Rubygems.

Actual behavior

RVM fails due to removal of deprecated flags:

rvm install --debug ruby-head
~ 鉂澂鉂 rvm reinstall --debug ruby-head -C --sysconfdir=/etc,--with-jemalloc
ruby-head - reinstall
Log prefix: /usr/local/rvm/log/1540638120_ruby-head/
Log filesystem: local,
Log max name length: 250
Log file: /usr/local/rvm/log/1540638120_ruby-head/remove.src.log
[2018-10-27 07:02:00] __rvm_rm_rf
__rvm_rm_rf () {
	__rvm_rm_rf_verbose "$@"
}
current path: /Users/daniel
PATH=/usr/local/rvm/gems/ruby-head/bin:/usr/local/rvm/gems/ruby-head@global/bin:/usr/local/rvm/rubies/ruby-head/bin:/usr/local/rvm/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/Library/TeX/texbin:/opt/X11/bin:/usr/local/opt/fzf/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin
GEM_HOME=/usr/local/rvm/gems/ruby-head
GEM_PATH=/usr/local/rvm/gems/ruby-head:/usr/local/rvm/gems/ruby-head@global
command(2): __rvm_rm_rf /usr/local/rvm/src/ruby-head
ruby-head - #removing src/ruby-head - please wait
Log file: /usr/local/rvm/log/1540638120_ruby-head/remove.rubies.log
[2018-10-27 07:02:00] __rvm_rm_rf
__rvm_rm_rf () {
	__rvm_rm_rf_verbose "$@"
}
current path: /Users/daniel
PATH=/usr/local/rvm/gems/ruby-head/bin:/usr/local/rvm/gems/ruby-head@global/bin:/usr/local/rvm/rubies/ruby-head/bin:/usr/local/rvm/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/Library/TeX/texbin:/opt/X11/bin:/usr/local/opt/fzf/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin
GEM_HOME=/usr/local/rvm/gems/ruby-head
GEM_PATH=/usr/local/rvm/gems/ruby-head:/usr/local/rvm/gems/ruby-head@global
command(2): __rvm_rm_rf /usr/local/rvm/rubies/ruby-head
ruby-head - #removing rubies/ruby-head - please wait
ruby-head - #already removed src/ruby-head
ruby-head - #already removed rubies/ruby-head
Free disk space 112616MB, required 690MB.
__rvm_setup_compile_environment_setup ruby-head
rvm_autolibs_flag=4
__rvm_setup_compile_environment_movable_early ruby-head
__rvm_setup_compile_environment_system_early ruby-head
__rvm_setup_compile_environment_requirements ruby-head
Checking requirements for osx.
requirements code for osx loaded
requirements lib type set to osx_brew
brew seems to be writable
Found required packages: autoconf, automake, libtool, pkg-config, coreutils, libyaml, readline, libksba, openssl@1.1.
PATH=/usr/local/opt/coreutils/bin:/usr/local/opt/pkg-config/bin:/usr/local/opt/libtool/bin:/usr/local/opt/automake/bin:/usr/local/opt/autoconf/bin:/usr/local/rvm/gems/ruby-head/bin:/usr/local/rvm/gems/ruby-head@global/bin:/usr/local/rvm/rubies/ruby-head/bin:/usr/local/rvm/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/Library/TeX/texbin:/opt/X11/bin:/usr/local/opt/fzf/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin
rvm_configure_flags+=( --with-opt-dir=/usr/local/opt/libyaml )
rvm_configure_flags+=( --with-opt-dir=/usr/local/opt/readline )
rvm_configure_flags+=( --with-opt-dir=/usr/local/opt/libksba )
rvm_configure_flags+=( --with-opt-dir=/usr/local/opt/openssl@1.1 )
Certificates bundle '/usr/local/etc/openssl@1.1/cert.pem' is already up to date.
Requirements installation successful.
__rvm_setup_compile_environment_movable ruby-head
__rvm_setup_compile_environment_parse_name ruby-head
__rvm_setup_compile_environment_system ruby-head
__rvm_setup_compile_environment_architectures ruby-head
rvm_architectures(0):.
__rvm_setup_compile_environment_gcc47plus ruby-head
__rvm_setup_compile_environment_bison ruby-head
__rvm_setup_compile_environment_flags_docs ruby-head
__rvm_setup_compile_environment_flags_shared_static ruby-head
__rvm_setup_compile_environment_flags_threads ruby-head
__rvm_setup_compile_environment_compatibility_flag ruby-head
found compiler: gcc
Installing Ruby from source to: /usr/local/rvm/rubies/ruby-head, this may take a while depending on your cpu(s)...
HEAD is now at a7f0cbe9c8 ole_func_methods_spec.rb: apply r64993 retry
From https://github.com/ruby/ruby
 * branch                  trunk      -> FETCH_HEAD
Already up to date.
git checkout trunk
Copying from repo to src path...
__rvm_rm_rf already gone: /usr/local/rvm/src/ruby-head
Patch name 'optional', expanded_name(s) ''.
Patch name 'default', expanded_name(s) ''.
Patch name 'osx', expanded_name(s) ''.
All found patches(0): .
Log file: /usr/local/rvm/log/1540638120_ruby-head/autoreconf.log
[2018-10-27 07:02:33] __rvm_autoreconf
__rvm_autoreconf () {
	\autoreconf "$@" || return $?
}
current path: /usr/local/rvm/src/ruby-head
PATH=/usr/local/opt/coreutils/bin:/usr/local/opt/pkg-config/bin:/usr/local/opt/libtool/bin:/usr/local/opt/automake/bin:/usr/local/opt/autoconf/bin:/usr/local/rvm/gems/ruby-head/bin:/usr/local/rvm/gems/ruby-head@global/bin:/usr/local/rvm/rubies/ruby-head/bin:/usr/local/rvm/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/Library/TeX/texbin:/opt/X11/bin:/usr/local/opt/fzf/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin
GEM_HOME=/usr/local/rvm/gems/ruby-head
GEM_PATH=/usr/local/rvm/gems/ruby-head:/usr/local/rvm/gems/ruby-head@global
command(1): __rvm_autoreconf
ruby-head - #autoreconf - please wait
Log file: /usr/local/rvm/log/1540638120_ruby-head/configure.log
[2018-10-27 07:02:38] ./configure
current path: /usr/local/rvm/src/ruby-head
PATH=/usr/local/opt/coreutils/bin:/usr/local/opt/pkg-config/bin:/usr/local/opt/libtool/bin:/usr/local/opt/automake/bin:/usr/local/opt/autoconf/bin:/usr/local/rvm/gems/ruby-head/bin:/usr/local/rvm/gems/ruby-head@global/bin:/usr/local/rvm/rubies/ruby-head/bin:/usr/local/rvm/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/Library/TeX/texbin:/opt/X11/bin:/usr/local/opt/fzf/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin
GEM_HOME=/usr/local/rvm/gems/ruby-head
GEM_PATH=/usr/local/rvm/gems/ruby-head:/usr/local/rvm/gems/ruby-head@global
command(8): ./configure --prefix=/usr/local/rvm/rubies/ruby-head --sysconfdir=/etc --with-jemalloc --with-baseruby=/usr/local/rvm/wrappers/ruby-2.6.0-preview2/ruby --with-opt-dir=/usr/local/opt/libyaml:/usr/local/opt/readline:/usr/local/opt/libksba:/usr/local/opt/openssl@1.1 --disable-install-doc --enable-shared
ruby-head - #configuring - please wait
Log file: /usr/local/rvm/log/1540638120_ruby-head/postconfigure.log
[2018-10-27 07:03:28] __rvm_post_configure_ruby
__rvm_post_configure_ruby () {
	__rvm_post_configure_ruby_fix_athlon_sse2
	__rvm_post_configure_ruby_update_setup
}
current path: /usr/local/rvm/src/ruby-head
PATH=/usr/local/opt/coreutils/bin:/usr/local/opt/pkg-config/bin:/usr/local/opt/libtool/bin:/usr/local/opt/automake/bin:/usr/local/opt/autoconf/bin:/usr/local/rvm/gems/ruby-head/bin:/usr/local/rvm/gems/ruby-head@global/bin:/usr/local/rvm/rubies/ruby-head/bin:/usr/local/rvm/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/Library/TeX/texbin:/opt/X11/bin:/usr/local/opt/fzf/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin
GEM_HOME=/usr/local/rvm/gems/ruby-head
GEM_PATH=/usr/local/rvm/gems/ruby-head:/usr/local/rvm/gems/ruby-head@global
command(1): __rvm_post_configure_ruby
ruby-head - #post-configuration - please wait
Log file: /usr/local/rvm/log/1540638120_ruby-head/make.log
[2018-10-27 07:03:28] __rvm_make
__rvm_make () {
	\make "$@" || return $?
}
current path: /usr/local/rvm/src/ruby-head
PATH=/usr/local/opt/coreutils/bin:/usr/local/opt/pkg-config/bin:/usr/local/opt/libtool/bin:/usr/local/opt/automake/bin:/usr/local/opt/autoconf/bin:/usr/local/rvm/gems/ruby-head/bin:/usr/local/rvm/gems/ruby-head@global/bin:/usr/local/rvm/rubies/ruby-head/bin:/usr/local/rvm/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/Library/TeX/texbin:/opt/X11/bin:/usr/local/opt/fzf/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin
GEM_HOME=/usr/local/rvm/gems/ruby-head
GEM_PATH=/usr/local/rvm/gems/ruby-head:/usr/local/rvm/gems/ruby-head@global
command(2): __rvm_make -j8
ruby-head - #compiling - please wait
__rvm_rm_rf already gone: /usr/local/rvm/src/ruby-head/.ext/rdoc
Log file: /usr/local/rvm/log/1540638120_ruby-head/install.log
[2018-10-27 07:04:33] __rvm_make
__rvm_make () {
	\make "$@" || return $?
}
current path: /usr/local/rvm/src/ruby-head
PATH=/usr/local/opt/coreutils/bin:/usr/local/opt/pkg-config/bin:/usr/local/opt/libtool/bin:/usr/local/opt/automake/bin:/usr/local/opt/autoconf/bin:/usr/local/rvm/gems/ruby-head/bin:/usr/local/rvm/gems/ruby-head@global/bin:/usr/local/rvm/rubies/ruby-head/bin:/usr/local/rvm/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/Library/TeX/texbin:/opt/X11/bin:/usr/local/opt/fzf/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin
GEM_HOME=/usr/local/rvm/gems/ruby-head
GEM_PATH=/usr/local/rvm/gems/ruby-head:/usr/local/rvm/gems/ruby-head@global
command(2): __rvm_make install
ruby-head - #installing - please wait
Log file: /usr/local/rvm/log/1540638120_ruby-head/chmod.bin.log
[2018-10-27 07:04:37] __rvm_set_executable
__rvm_set_executable () {
	for __file
	do
		[[ -x "${__file}" ]] || chmod +x "${__file}"
	done
}
current path: /usr/local/rvm/src/ruby-head
PATH=/usr/local/opt/coreutils/bin:/usr/local/opt/pkg-config/bin:/usr/local/opt/libtool/bin:/usr/local/opt/automake/bin:/usr/local/opt/autoconf/bin:/usr/local/rvm/gems/ruby-head/bin:/usr/local/rvm/gems/ruby-head@global/bin:/usr/local/rvm/rubies/ruby-head/bin:/usr/local/rvm/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/Library/TeX/texbin:/opt/X11/bin:/usr/local/opt/fzf/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin
GEM_HOME=/usr/local/rvm/gems/ruby-head
GEM_PATH=/usr/local/rvm/gems/ruby-head:/usr/local/rvm/gems/ruby-head@global
command(7): __rvm_set_executable /usr/local/rvm/rubies/ruby-head/bin/erb /usr/local/rvm/rubies/ruby-head/bin/gem /usr/local/rvm/rubies/ruby-head/bin/irb /usr/local/rvm/rubies/ruby-head/bin/rdoc /usr/local/rvm/rubies/ruby-head/bin/ri /usr/local/rvm/rubies/ruby-head/bin/ruby
ruby-head - #making binaries executable - please wait
rubygems_setup version:latest rvm_ruby_string:ruby-head rvm_ruby_home:/usr/local/rvm/rubies/ruby-head rvm_ruby_binary:/usr/local/rvm/rubies/ruby-head/bin/ruby
rubygems_setup_rubygems version:ignore rvm_gem_package_name: rvm_gem_url:
rubygems_setup_bundler sha: __bundler_package_name: __bundler_url:
Installed rubygems 3.0.0.beta1 is newer than ignore provided with installed ruby, skipping installation, use --force to force installation.
ruby-head - #gemset created /usr/local/rvm/gems/ruby-head@global
Running /usr/local/rvm/hooks/after_use_maglev
ruby-head - #gemset definition does not exist /usr/local/rvm/gemsets/ruby/head/global.gems
ruby-head - #gemset definition does not exist /usr/local/rvm/gemsets/ruby/global.gems
lines from /usr/local/rvm/gemsets/global.gems: gem-wrappers rubygems-bundler rake rvm bundler
recalculated lines(global): gem-wrappers rubygems-bundler rake rvm bundler
Log file: /usr/local/rvm/log/1540638120_ruby-head/gemsets.import.global.log
[2018-10-27 07:04:37] gemset_import_list
gemset_import_list () {
	case "${rvm_ruby_string}" in
		(*jruby*) \command \gem install "$@" ;;
		(*) \typeset line
			for line
			do
				gem_install $line || rvm_error "there was an error installing gem $line"
			done ;;
	esac
}
current path: /usr/local/rvm/src/ruby-head
PATH=/usr/local/rvm/gems/ruby-head@global/bin:/usr/local/rvm/rubies/ruby-head/bin:/usr/local/rvm/bin:/usr/local/opt/coreutils/bin:/usr/local/opt/pkg-config/bin:/usr/local/opt/libtool/bin:/usr/local/opt/automake/bin:/usr/local/opt/autoconf/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/Library/TeX/texbin:/opt/X11/bin:/usr/local/opt/fzf/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin
GEM_HOME=/usr/local/rvm/gems/ruby-head@global
GEM_PATH=/usr/local/rvm/gems/ruby-head@global
command(6): gemset_import_list gem-wrappers rubygems-bundler rake rvm bundler
ruby-head - #importing gemset /usr/local/rvm/gemsets/global.gems - please wait
Log file: /usr/local/rvm/log/1540638120_ruby-head/gem.install.gem-wrappers->=1.4.0.log
[2018-10-27 07:04:37] command
current path: /usr/local/rvm/src/ruby-head
PATH=/usr/local/rvm/gems/ruby-head@global/bin:/usr/local/rvm/rubies/ruby-head/bin:/usr/local/rvm/bin:/usr/local/opt/coreutils/bin:/usr/local/opt/pkg-config/bin:/usr/local/opt/libtool/bin:/usr/local/opt/automake/bin:/usr/local/opt/autoconf/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/Library/TeX/texbin:/opt/X11/bin:/usr/local/opt/fzf/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin
GEM_HOME=/usr/local/rvm/gems/ruby-head@global
GEM_PATH=/usr/local/rvm/gems/ruby-head@global
command(8): command gem install /usr/local/rvm/gem-cache/gem-wrappers-1.4.0.gem --local --no-ri --no-rdoc --no-document
Error running 'command gem install /usr/local/rvm/gem-cache/gem-wrappers-1.4.0.gem --local --no-ri --no-rdoc --no-document',
please read /usr/local/rvm/log/1540638120_ruby-head/gem.install.gem-wrappers->=1.4.0.log
there was an error installing gem gem-wrappers
Log file: /usr/local/rvm/log/1540638120_ruby-head/gem.install.rubygems-bundler.log
[2018-10-27 07:04:38] command
current path: /usr/local/rvm/src/ruby-head
PATH=/usr/local/rvm/gems/ruby-head@global/bin:/usr/local/rvm/rubies/ruby-head/bin:/usr/local/rvm/bin:/usr/local/opt/coreutils/bin:/usr/local/opt/pkg-config/bin:/usr/local/opt/libtool/bin:/usr/local/opt/automake/bin:/usr/local/opt/autoconf/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/Library/TeX/texbin:/opt/X11/bin:/usr/local/opt/fzf/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin
GEM_HOME=/usr/local/rvm/gems/ruby-head@global
GEM_PATH=/usr/local/rvm/gems/ruby-head@global
command(7): command gem install rubygems-bundler --no-ri --no-rdoc --no-document
Error running 'command gem install rubygems-bundler --no-ri --no-rdoc --no-document',
please read /usr/local/rvm/log/1540638120_ruby-head/gem.install.rubygems-bundler.log
there was an error installing gem rubygems-bundler
Log file: /usr/local/rvm/log/1540638120_ruby-head/gem.install.rake.log
[2018-10-27 07:04:38] command
current path: /usr/local/rvm/src/ruby-head
PATH=/usr/local/rvm/gems/ruby-head@global/bin:/usr/local/rvm/rubies/ruby-head/bin:/usr/local/rvm/bin:/usr/local/opt/coreutils/bin:/usr/local/opt/pkg-config/bin:/usr/local/opt/libtool/bin:/usr/local/opt/automake/bin:/usr/local/opt/autoconf/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/Library/TeX/texbin:/opt/X11/bin:/usr/local/opt/fzf/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin
GEM_HOME=/usr/local/rvm/gems/ruby-head@global
GEM_PATH=/usr/local/rvm/gems/ruby-head@global
command(7): command gem install rake --no-ri --no-rdoc --no-document
Error running 'command gem install rake --no-ri --no-rdoc --no-document',
please read /usr/local/rvm/log/1540638120_ruby-head/gem.install.rake.log
there was an error installing gem rake
Log file: /usr/local/rvm/log/1540638120_ruby-head/gem.install.rvm->=1.11.3.9.log
[2018-10-27 07:04:39] command
current path: /usr/local/rvm/src/ruby-head
PATH=/usr/local/rvm/gems/ruby-head@global/bin:/usr/local/rvm/rubies/ruby-head/bin:/usr/local/rvm/bin:/usr/local/opt/coreutils/bin:/usr/local/opt/pkg-config/bin:/usr/local/opt/libtool/bin:/usr/local/opt/automake/bin:/usr/local/opt/autoconf/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/Library/TeX/texbin:/opt/X11/bin:/usr/local/opt/fzf/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin
GEM_HOME=/usr/local/rvm/gems/ruby-head@global
GEM_PATH=/usr/local/rvm/gems/ruby-head@global
command(8): command gem install /usr/local/rvm/gem-cache/rvm-1.11.3.9.gem --local --no-ri --no-rdoc --no-document
Error running 'command gem install /usr/local/rvm/gem-cache/rvm-1.11.3.9.gem --local --no-ri --no-rdoc --no-document',
please read /usr/local/rvm/log/1540638120_ruby-head/gem.install.rvm->=1.11.3.9.log
there was an error installing gem rvm
Log file: /usr/local/rvm/log/1540638120_ruby-head/gem.install.bundler.log
[2018-10-27 07:04:39] command
current path: /usr/local/rvm/src/ruby-head
PATH=/usr/local/rvm/gems/ruby-head@global/bin:/usr/local/rvm/rubies/ruby-head/bin:/usr/local/rvm/bin:/usr/local/opt/coreutils/bin:/usr/local/opt/pkg-config/bin:/usr/local/opt/libtool/bin:/usr/local/opt/automake/bin:/usr/local/opt/autoconf/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/Library/TeX/texbin:/opt/X11/bin:/usr/local/opt/fzf/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin
GEM_HOME=/usr/local/rvm/gems/ruby-head@global
GEM_PATH=/usr/local/rvm/gems/ruby-head@global
command(7): command gem install bundler --no-ri --no-rdoc --no-document
Error running 'command gem install bundler --no-ri --no-rdoc --no-document',
please read /usr/local/rvm/log/1540638120_ruby-head/gem.install.bundler.log
there was an error installing gem bundler
Log file: /usr/local/rvm/log/1540638120_ruby-head/gemset.wrappers.global.log
[2018-10-27 07:04:39] run_gem_wrappers
run_gem_wrappers () {
	gem_install gem-wrappers > /dev/null && gem wrappers "$@" || return $?
}
current path: /usr/local/rvm/src/ruby-head
PATH=/usr/local/rvm/gems/ruby-head@global/bin:/usr/local/rvm/rubies/ruby-head/bin:/usr/local/rvm/bin:/usr/local/opt/coreutils/bin:/usr/local/opt/pkg-config/bin:/usr/local/opt/libtool/bin:/usr/local/opt/automake/bin:/usr/local/opt/autoconf/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/Library/TeX/texbin:/opt/X11/bin:/usr/local/opt/fzf/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin
GEM_HOME=/usr/local/rvm/gems/ruby-head@global
GEM_PATH=/usr/local/rvm/gems/ruby-head@global
command(2): run_gem_wrappers regenerate
ruby-head - #generating global wrappers - please wait
Log file: /usr/local/rvm/log/1540638120_ruby-head/gem.install.gem-wrappers->=1.4.0.log
[2018-10-27 07:04:39] command
current path: /usr/local/rvm/src/ruby-head
PATH=/usr/local/rvm/gems/ruby-head@global/bin:/usr/local/rvm/rubies/ruby-head/bin:/usr/local/rvm/bin:/usr/local/opt/coreutils/bin:/usr/local/opt/pkg-config/bin:/usr/local/opt/libtool/bin:/usr/local/opt/automake/bin:/usr/local/opt/autoconf/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/Library/TeX/texbin:/opt/X11/bin:/usr/local/opt/fzf/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin
GEM_HOME=/usr/local/rvm/gems/ruby-head@global
GEM_PATH=/usr/local/rvm/gems/ruby-head@global
command(8): command gem install /usr/local/rvm/gem-cache/gem-wrappers-1.4.0.gem --local --no-ri --no-rdoc --no-document
Error running 'command gem install /usr/local/rvm/gem-cache/gem-wrappers-1.4.0.gem --local --no-ri --no-rdoc --no-document',
please read /usr/local/rvm/log/1540638120_ruby-head/gem.install.gem-wrappers->=1.4.0.log
Error running 'run_gem_wrappers regenerate',
please read /usr/local/rvm/log/1540638120_ruby-head/gemset.wrappers.global.log
Running /usr/local/rvm/hooks/after_use_maglev
ruby-head - #gemset created /usr/local/rvm/gems/ruby-head
Running /usr/local/rvm/hooks/after_use_maglev
ruby-head - #gemset definition does not exist /usr/local/rvm/gemsets/ruby/head/default.gems
ruby-head - #gemset definition does not exist /usr/local/rvm/gemsets/ruby/default.gems
lines from /usr/local/rvm/gemsets/default.gems:
recalculated lines(default):
ruby-head - #importing gemsetfile /usr/local/rvm/gemsets/default.gems evaluated to empty gem list
Log file: /usr/local/rvm/log/1540638120_ruby-head/gemset.wrappers.default.log
[2018-10-27 07:04:40] run_gem_wrappers
run_gem_wrappers () {
	gem_install gem-wrappers > /dev/null && gem wrappers "$@" || return $?
}
current path: /usr/local/rvm/src/ruby-head
PATH=/usr/local/rvm/gems/ruby-head/bin:/usr/local/rvm/gems/ruby-head@global/bin:/usr/local/rvm/rubies/ruby-head/bin:/usr/local/rvm/bin:/usr/local/opt/coreutils/bin:/usr/local/opt/pkg-config/bin:/usr/local/opt/libtool/bin:/usr/local/opt/automake/bin:/usr/local/opt/autoconf/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/Library/TeX/texbin:/opt/X11/bin:/usr/local/opt/fzf/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin
GEM_HOME=/usr/local/rvm/gems/ruby-head
GEM_PATH=/usr/local/rvm/gems/ruby-head:/usr/local/rvm/gems/ruby-head@global
command(2): run_gem_wrappers regenerate
ruby-head - #generating default wrappers - please wait
Log file: /usr/local/rvm/log/1540638120_ruby-head/gem.install.gem-wrappers->=1.4.0.log
[2018-10-27 07:04:40] command
current path: /usr/local/rvm/src/ruby-head
PATH=/usr/local/rvm/gems/ruby-head/bin:/usr/local/rvm/gems/ruby-head@global/bin:/usr/local/rvm/rubies/ruby-head/bin:/usr/local/rvm/bin:/usr/local/opt/coreutils/bin:/usr/local/opt/pkg-config/bin:/usr/local/opt/libtool/bin:/usr/local/opt/automake/bin:/usr/local/opt/autoconf/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/Library/TeX/texbin:/opt/X11/bin:/usr/local/opt/fzf/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin
GEM_HOME=/usr/local/rvm/gems/ruby-head
GEM_PATH=/usr/local/rvm/gems/ruby-head:/usr/local/rvm/gems/ruby-head@global
command(8): command gem install /usr/local/rvm/gem-cache/gem-wrappers-1.4.0.gem --local --no-ri --no-rdoc --no-document
Error running 'command gem install /usr/local/rvm/gem-cache/gem-wrappers-1.4.0.gem --local --no-ri --no-rdoc --no-document',
please read /usr/local/rvm/log/1540638120_ruby-head/gem.install.gem-wrappers->=1.4.0.log
Error running 'run_gem_wrappers regenerate',
please read /usr/local/rvm/log/1540638120_ruby-head/gemset.wrappers.default.log
ruby-head - #adjusting #shebangs for (gem irb erb ri rdoc testrb rake).
__rvm_rm_rf already gone: /usr/local/rvm/src/ruby-head/.svn
Install of ruby-head - #complete
Ruby was built without documentation, to build it run: rvm docs generate-ri
Running /usr/local/rvm/hooks/after_install_auto_gem
Log file: /usr/local/rvm/log/1540638120_ruby-head/gemset.pristine-ruby-head.log
[2018-10-27 07:04:40] __rvm_with
__rvm_with () {
	(
		unset rvm_rvmrc_flag
		export rvm_create_flag=1
		export rvm_delete_flag=0
		export rvm_internal_use_flag=1
		export rvm_use_flag=0
		__rvm_use "$1" || return $?
		shift
		"$@" || return $?
	)
}
current path: /Users/daniel
PATH=/usr/local/rvm/gems/ruby-head/bin:/usr/local/rvm/gems/ruby-head@global/bin:/usr/local/rvm/rubies/ruby-head/bin:/usr/local/rvm/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/Library/TeX/texbin:/opt/X11/bin:/usr/local/opt/fzf/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin
GEM_HOME=/usr/local/rvm/gems/ruby-head
GEM_PATH=/usr/local/rvm/gems/ruby-head:/usr/local/rvm/gems/ruby-head@global
command(3): __rvm_with ruby-head gemset_pristine
Making gemset ruby-head pristine - please wait
Running /usr/local/rvm/hooks/after_use_maglev
gem list check: if ! gem.extensions.empty?
Log file: /usr/local/rvm/log/1540638120_ruby-head/gemset.pristine-ruby-head@global.log
[2018-10-27 07:04:43] __rvm_with
__rvm_with () {
	(
		unset rvm_rvmrc_flag
		export rvm_create_flag=1
		export rvm_delete_flag=0
		export rvm_internal_use_flag=1
		export rvm_use_flag=0
		__rvm_use "$1" || return $?
		shift
		"$@" || return $?
	)
}
current path: /Users/daniel
PATH=/usr/local/rvm/gems/ruby-head/bin:/usr/local/rvm/gems/ruby-head@global/bin:/usr/local/rvm/rubies/ruby-head/bin:/usr/local/rvm/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/Library/TeX/texbin:/opt/X11/bin:/usr/local/opt/fzf/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin
GEM_HOME=/usr/local/rvm/gems/ruby-head
GEM_PATH=/usr/local/rvm/gems/ruby-head:/usr/local/rvm/gems/ruby-head@global
command(3): __rvm_with ruby-head@global gemset_pristine
Making gemset ruby-head@global pristine - please wait
Running /usr/local/rvm/hooks/after_use_maglev
gem list check: if ! gem.extensions.empty?
Running /usr/local/rvm/hooks/after_use_maglev
__rvm_rm_rf already gone: /usr/local/rvm/tmp/8946*

~ 鉂澂鉂 echo $rvm_gem_options
--no-document

Environment info

ruby-2.6.0-preview2:

  system:
    uname:        "Darwin ramsay.local 18.0.0 Darwin Kernel Version 18.0.0: Wed Aug 22 20:13:40 PDT 2018; root:xnu-4903.201.2~1/RELEASE_X86_64 x86_64"
    name:         "OSX"
    version:      "10.14"
    architecture: "x86_64"
    bash:         "/usr/local/bin/bash => GNU bash, version 4.4.23(1)-release (x86_64-apple-darwin17.5.0)"
    zsh:          "/usr/local/bin/zsh => zsh 5.6.2-dev-0 (x86_64-apple-darwin18.0.0)"
    remote_path:  "osx/10.14/x86_64"

  rvm:
    version:      "1.29.4 (master)"
    updated:      "24 minutes 34 seconds ago"
    path:         "/usr/local/rvm"
    autolibs:     "[4] Allow RVM to use package manager if found, install missing dependencies, install package manager (only OS X)."

  ruby:
    interpreter:  "ruby"
    version:      "2.6.0preview2"
    date:         "2018-05-31"
    platform:     "x86_64-darwin18"
    patchlevel:   "2018-05-31 trunk 63539"
    full_version: "ruby 2.6.0preview2 (2018-05-31 trunk 63539) [x86_64-darwin18]"

  homes:
    gem:          "/usr/local/rvm/gems/ruby-2.6.0-preview2"
    ruby:         "/usr/local/rvm/rubies/ruby-2.6.0-preview2"

  binaries:
    ruby:         "/usr/local/rvm/rubies/ruby-2.6.0-preview2/bin/ruby"
    irb:          "/usr/local/rvm/rubies/ruby-2.6.0-preview2/bin/irb"
    gem:          "/usr/local/rvm/rubies/ruby-2.6.0-preview2/bin/gem"
    rake:         "/usr/local/rvm/rubies/ruby-2.6.0-preview2/bin/rake"

  environment:
    PATH:         "/usr/local/rvm/gems/ruby-2.6.0-preview2/bin:/usr/local/rvm/gems/ruby-2.6.0-preview2@global/bin:/usr/local/rvm/rubies/ruby-2.6.0-preview2/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/Library/TeX/texbin:/opt/X11/bin:/usr/local/rvm/bin:/usr/local/opt/fzf/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin:/Users/daniel/.pandoc/filters:/Users/daniel/.go/bin:/usr/local/opt/neo4j/bin"
    GEM_HOME:     "/usr/local/rvm/gems/ruby-2.6.0-preview2"
    GEM_PATH:     "/usr/local/rvm/gems/ruby-2.6.0-preview2:/usr/local/rvm/gems/ruby-2.6.0-preview2@global"
    MY_RUBY_HOME: "/usr/local/rvm/rubies/ruby-2.6.0-preview2"
    IRBRC:        "/usr/local/rvm/rubies/ruby-2.6.0-preview2/.irbrc"
    RUBYOPT:      ""
    gemset:       ""
@Fudoshiki

This comment has been minimized.

@Fudoshiki

This comment has been minimized.

Copy link

commented Nov 7, 2018

--no-ri --no-rdoc deprecated

@pkuczynski

This comment has been minimized.

Copy link
Member

commented Nov 7, 2018

You right, the problem is in:

command(8): command gem install /usr/local/rvm/gem-cache/gem-wrappers-1.4.0.gem --local --no-ri --no-rdoc --no-document
Error running 'command gem install /usr/local/rvm/gem-cache/gem-wrappers-1.4.0.gem --local --no-ri --no-rdoc --no-document',
please read /usr/local/rvm/log/1540638120_ruby-head/gem.install.gem-wrappers->=1.4.0.log

I am looking into this...

@pkuczynski pkuczynski changed the title Postinstall steps fail for ruby-head due to removal of deprecated flags. Postinstall steps fail for ruby-head due to removal of deprecated flags Nov 7, 2018

@pkuczynski

This comment has been minimized.

Copy link
Member

commented Nov 7, 2018

Can you try again after

rvm get branch /no-ri-deprecated
rvm install --debug ruby-head
@Fudoshiki

This comment has been minimized.

Copy link

commented Nov 8, 2018

@pkuczynski works fine

@phyllisstein

This comment has been minimized.

Copy link
Author

commented Nov 8, 2018

Looks great! Thanks so much for finding the right solution.

@pkuczynski

This comment has been minimized.

Copy link
Member

commented Nov 8, 2018

Great! I will then merge it into master.

@pkuczynski pkuczynski added the bug label Nov 8, 2018

@pkuczynski pkuczynski self-assigned this Nov 8, 2018

@pkuczynski pkuczynski added this to the rvm-1.29.5 milestone Nov 8, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can鈥檛 perform that action at this time.